The Altair Community is migrating to a new platform to provide a better experience for you. The RapidMiner Community will merge with the Altair Community at the same time. In preparation for the migration, both communities are on read-only mode from July 15th - July 24th, 2024. Technical support via cases will continue to work as is. For any urgent requests from Students/Faculty members, please submit the form linked here.
Options

Server Install Problem - java Unsupported Class Version Error

leitnickleitnick Member Posts: 2 Contributor I
edited July 2019 in Help

Tried to run the 'rapidminer-server-installer' on node but came up with following error and would not open...(note: java -version is "1.7.0_75")

 

Exception in thread "main" java.lang.UnsupportedClassVersionError: com/rapidminer/server/installer/Starter : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)

Best Answer

  • Options
    phellingerphellinger Employee, Member Posts: 103 RM Engineering
    Solution Accepted

    Hi,

     

    you need Java 8 to run Server.

    This is the typical Java error message reporting that Java 8 (referred here as "major version" 52) is required.

     

    Best,

    Peter

Sign In or Register to comment.